%define name pptpd-server
%define version 0.9.17
%define release 2mdk

Summary: PoPToP Linux VPN server 
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/Other
Source: %{name}-%{version}.tar.bz2
Patch: pptpd-0.9.17.patch.bz2
URL: http://www.moretonbay.com/vpn/pptp.html
Provides: pptpd
Requires: tcp_wrappers
Buildroot: /var/tmp/%{name}-buildroot

%description
PoPToP is the PPTP server solution for Linux (ports exist for Solaris
2.6, OpenBSD and FreeBSD and other). To date no real solution existed
if you wished to include Linux server in PPTP established VPNs. PoPToP
resolves that problem by allowing Linux servers to function seamlessly
in the PPTP VPN environment. This enables administrators to leverage
the considerable benifits of both Microsoft and Linux. The current
release supports Windows 9x/NT/2000 PPTP clients and PPTP Linux
clients. PoPToP is free GNU software.

%prep

%setup -n pptpd-0.9.17
%patch -p1

%build
./configure --prefix=/usr --sysconfdir=/etc --sharedstatedir=/var --localstatedir=/var --with-libwrap --with-pppd-ip-alloc
make all
# remove samples CVS directory so that it is not included
rm -rf samples/CVS

%install
install -m 755 -d $RPM_BUILD_ROOT/usr/sbin
install -m 755 pptpd $RPM_BUILD_ROOT/usr/sbin
install -m 755 pptpctrl $RPM_BUILD_ROOT/usr/sbin
install -m 755 -d $RPM_BUILD_ROOT/etc
install -m 755 samples/pptpd.conf $RPM_BUILD_ROOT/etc
install -m 755 -d $RPM_BUILD_ROOT/usr/man/man5
install -m 755 -d $RPM_BUILD_ROOT/usr/man/man8
install -m 755 pptpd.conf.5 $RPM_BUILD_ROOT/usr/man/man5
install -m 755 pptpctrl.8 $RPM_BUILD_ROOT/usr/man/man8
install -m 755 pptpd.8 $RPM_BUILD_ROOT/usr/man/man8
install -m 755 -d $RPM_BUILD_ROOT/usr/doc/HOWTO
install -m 755 html/HOWTO-IPX+PPTP.txt $RPM_BUILD_ROOT/usr/doc/HOWTO
install -m 755 html/HOWTO-PoPToP.txt $RPM_BUILD_ROOT/usr/doc/HOWTO
install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 samples/pptpd.conf $RPM_BUILD_ROOT/etc/rc.d/init.d/

#%post
#/sbin/chkconfig --add pptpd
#/etc/rc.d/init.d/pptpd.conf start

#%postun
#/sbin/chkconfig --del pptpd

%files
%defattr (-,root,root)
%doc AUTHORS Anon-CVS-Root COPYING ChangeLog ChangeLog-0.8 INSTALL README README.inetd README.slirp TODO html/setup_pptp_client.html samples/
%config /etc/rc.d/init.d/pptpd.conf
/usr/sbin/*
/usr/man/man5/*
/usr/man/man8/*
/usr/doc/HOWTO/HOWTO-IPX+PPTP.txt
/usr/doc/HOWTO/HOWTO-PoPToP.txt
%config /etc/pptpd.conf

%changelog
* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.17-2mdk
- fix group
- fix files section

* Wed Oct 13 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptation.
